Subject: bug#34566: 27.0.50; package-list-packages never finishes loading

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 19 Feb 2019 15:47:38 +0000

Jason Lewis <[email-masked]> writes:

> if you run package-list-packages, emacs never finishes loading.
> The status bar has "Loading" in it and if you press U, the messages
> window gets "Waiting for refresh to finish..."
>
> emacs -Q
> M-x package-list-packages
> press U

I think elpa.gnu.org was down for a few hours yesterday.  I suspect the
operation would have eventually timed out (that's what happened to me
when I invoked package-install-selected-packages on a new machine).

The repository seems to be back up at the moment; does it work for you
now?

-- 
Basil